EDIT - feature request #7875

Add multiple area selection to descriptive data set editor
10/26/2018 04:06 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:

Related to EDIT - feature request #7887: Use DTOs in term editor Closed

Associated revisions

Revision 4514541 - 10/26/2018 04:08 PM - Patrick Plitzner

ref #7875 first implementation of multiple area select (experimental)

Revision 790e1587 - 10/29/2018 10:56 AM - Patrick Plitzner

ref #7875 Fix tree checkbox behavior + extract dialog class

Revision 74bdd593 - 10/29/2018 03:57 PM - Patrick Plitzner

ref #7875 Implement term service based on UuidAndTitleCache

Revision ce2334e5 - 10/29/2018 03:59 PM - Patrick Plitzner

ref #7875 Use UuidAndTitleCache based services for area selection dialog

Revision 9df52c92 - 10/29/2018 07:54 PM - Patrick Plitzner
ref #7875 Adapt to UuidAndTitleCache based services

Revision 2d4cb2bf - 11/02/2018 06:56 AM - Patrick Plitzner

ref #7875 Implement term service based on TermDto

Revision 3c6e3fc6 - 11/02/2018 06:57 AM - Patrick Plitzner
ref #7875 Adapt to TermDto based services

Revision ceed9ceb - 11/02/2018 01:55 PM - Patrick Plitzner

ref #7875 Fix initial selection of tree items

Revision 0ebf52c1 - 11/05/2018 10:47 AM - Patrick Plitzner

ref #7875 Add service method to load complete term hierarchy

Revision 4db1bbe6 - 11/05/2018 10:47 AM - Patrick Plitzner
ref #7875 Refactor term label provider

e add Styler to label provider
Revision 7832ef53 - 11/05/2018 11:20 AM - Patrick Plitzner
ref #7875 Performance optimization for term content provider

® | oad complete term hierarchy
e always return true for vocabulary hasChildren()

Revision c643a8b9 - 11/05/2018 01:29 PM - Patrick Plitzner
ref #7875 javadoc

Revision 501ab766 - 11/09/2018 12:31 PM - Patrick Plitzner

ref #7875 Completely convert area selection to DTOs

e Fix initial selection

Revision cae3bd94 - 11/13/2018 11:20 AM - Patrick Plitzner

ref #7875 Do not save grayed values

History

#1 - 10/31/2018 09:34 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

#2 - 11/05/2018 01:49 PM - Patrick Plitzner

- Related to feature request #7887: Use DTOs in term editor added

#3 - 11/22/2018 12:08 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
